package mmm;


import mmm.deco.DecorativeBlocks;
import mmm.utils.URegistration;
import mmm.utils.USeat;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.common.Mod.EventHandler;
import net.minecraftforge.fml.common.SidedProxy;
import net.minecraftforge.fml.common.event.FMLInitializationEvent;
import net.minecraftforge.fml.common.event.FMLPreInitializationEvent;



@Mod( modid = Mmm.ID , name = Mmm.NAME , version = Mmm.VERSION )
public class Mmm
{

	public static final String ID = "mmm";
	public static final String NAME = "MMM!";
	public static final String VERSION = "0.1-1.9.4";
	public static final String PREFIX = Mmm.ID + ".";

	@Mod.Instance( Mmm.ID )
	public static Mmm mmm;

	@SidedProxy
	public static CommonProxy proxy = null;

	public static abstract class CommonProxy
	{

		public void preInit( final FMLPreInitializationEvent event )
		{
			DecorativeBlocks.preInit( );
			URegistration.registerRecipes( );
		}


		public void init( final FMLInitializationEvent event )
		{
			USeat.register( mmm );
		}
	}

	public static class ServerProxy
			extends CommonProxy
	{
		// EMPTY
	}

	public static class ClientProxy
			extends CommonProxy
	{

		@Override
		public void preInit( final FMLPreInitializationEvent event )
		{
			super.preInit( event );
			URegistration.setupItemModels( );
		}

	}


	@EventHandler
	public void preInit( final FMLPreInitializationEvent event )
	{
		Mmm.proxy.preInit( event );
	}


	@EventHandler
	public void init( final FMLInitializationEvent event )
	{
		Mmm.proxy.init( event );
	}

}
